Auto Multiple Choice - Feature # 49: Enhancement to default email subject/content

Status: Closed Priority: Normal

Author: Hiroto Kagotani Category:

Created: 04/10/2012 Assignee:

Updated: 12/18/2012 Due date:

Description: Currently, the default subject and content for email being sent to students are just static text such as "Exam

result" and "Please find your... Regards."
| would like to embed some dynamic text such as exam name, code and student name to the subject and
content. For example:

Subject: Result of %c exam
Content: %(name), you get %s points out of %m for the examination "%n". Please find your annotated
completed answer sheet. If you have any question...

History

05/18/2012 01:00 pm - Alexis Bienveniie

- Target version set to 1.2.0

05/27/2012 03:58 pm - Alexis Bienveniie
- Status changed from New to Feedback

Added in revision r1095. You can use %n for the name (or code) filled in Preferences/Project, %s %m %S %M and %(xxx) as for annotation.

06/01/2012 08:39 am - Hiroto Kagotani

Thank you.

| tested it and it worked very well.

I think it would be useful if there were a convenient way of viewing the current %n value in the Mailing window.

One (especially 1) will be likely to forget to set the exam name.

06/04/2012 10:39 am - Alexis Bienveniie

> | think it would be useful if there were a convenient way of viewing the current %n value in the Mailing window.

Added something like that from revision r1097.

07/16/2012 11:08 pm - Alexis Bienveniie

- Status changed from Feedback to Resolved

12/18/2012 05:49 pm - Alexis Bienvenlie

- % Done changed from 0 to 100

- Status changed from Resolved to Closed
